<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:22:32 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PortKind (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PortKind (org.eclipse.papyrus.designer.components.fcm.profile 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PortKind.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/RuleApplication.html" title="interface in org.eclipse.papyrus.designer.components.FCM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/PortKind.html" target="_top">Frames</a></li>
<li><a href="PortKind.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.FCM</div>
<h2 title="Interface PortKind" class="title">Interface PortKind</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/impl/PortKindImpl.html" title="class in org.eclipse.papyrus.designer.components.FCM.impl">PortKindImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">PortKind</span>
extends org.eclipse.emf.ecore.EObject</pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Port Kind</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
   <li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getBase_Class--"><code><em>Base Class</em></code></a></li>
   <li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getProvidedInterface--"><code><em>Provided Interface</em></code></a></li>
   <li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getRequiredInterface--"><code><em>Required Interface</em></code></a></li>
   <li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isExtendedPort--"><code><em>Extended Port</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#getPortKind--"><code>FCMPackage.getPortKind()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getBase_Class--">getBase_Class</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Base Class</b></em>' reference.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getProvidedInterface--">getProvidedInterface</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Provided Interface</b></em>' reference.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Interface</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getRequiredInterface--">getRequiredInterface</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Required Interface</b></em>' reference.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isExtendedPort--">isExtendedPort</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Extended Port</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isSetExtendedPort--">isSetExtendedPort</a></span>()</code>
<div class="block">Returns whether the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isExtendedPort--"><code><em>Extended Port</em></code></a>' attribute is set.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#setBase_Class-org.eclipse.uml2.uml.Class-">setBase_Class</a></span>(org.eclipse.uml2.uml.Class&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getBase_Class--"><code><em>Base Class</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#setProvidedInterface-org.eclipse.uml2.uml.Interface-">setProvidedInterface</a></span>(org.eclipse.uml2.uml.Interface&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getProvidedInterface--"><code><em>Provided Interface</em></code></a>' reference.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#setRequiredInterface-org.eclipse.uml2.uml.Interface-">setRequiredInterface</a></span>(org.eclipse.uml2.uml.Interface&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getRequiredInterface--"><code><em>Required Interface</em></code></a>' reference.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getBase_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_Class</h4>
<pre>org.eclipse.uml2.uml.Class&nbsp;getBase_Class()</pre>
<div class="block">Returns the value of the '<em><b>Base Class</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Base Class</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#setBase_Class-org.eclipse.uml2.uml.Class-"><code>setBase_Class(org.eclipse.uml2.uml.Class)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#getPortKind_Base_Class--"><code>FCMPackage.getPortKind_Base_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="setBase_Class-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_Class</h4>
<pre>void&nbsp;setBase_Class(org.eclipse.uml2.uml.Class&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getBase_Class--"><code><em>Base Class</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Base Class</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getBase_Class--"><code>getBase_Class()</code></a></dd>
</dl>
</li>
</ul>
<a name="getProvidedInterface--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProvidedInterface</h4>
<pre>org.eclipse.uml2.uml.Interface&nbsp;getProvidedInterface()</pre>
<div class="block">Returns the value of the '<em><b>Provided Interface</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Provided Interface</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Provided Interface</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#setProvidedInterface-org.eclipse.uml2.uml.Interface-"><code>setProvidedInterface(Interface)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#getPortKind_ProvidedInterface--"><code>FCMPackage.getPortKind_ProvidedInterface()</code></a></dd>
</dl>
</li>
</ul>
<a name="setProvidedInterface-org.eclipse.uml2.uml.Interface-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProvidedInterface</h4>
<pre>void&nbsp;setProvidedInterface(org.eclipse.uml2.uml.Interface&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getProvidedInterface--"><code><em>Provided Interface</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Provided Interface</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getProvidedInterface--"><code>getProvidedInterface()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRequiredInterface--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRequiredInterface</h4>
<pre>org.eclipse.uml2.uml.Interface&nbsp;getRequiredInterface()</pre>
<div class="block">Returns the value of the '<em><b>Required Interface</b></em>' reference.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Required Interface</em>' reference isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Required Interface</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#setRequiredInterface-org.eclipse.uml2.uml.Interface-"><code>setRequiredInterface(Interface)</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#getPortKind_RequiredInterface--"><code>FCMPackage.getPortKind_RequiredInterface()</code></a></dd>
</dl>
</li>
</ul>
<a name="setRequiredInterface-org.eclipse.uml2.uml.Interface-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRequiredInterface</h4>
<pre>void&nbsp;setRequiredInterface(org.eclipse.uml2.uml.Interface&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getRequiredInterface--"><code><em>Required Interface</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Required Interface</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#getRequiredInterface--"><code>getRequiredInterface()</code></a></dd>
</dl>
</li>
</ul>
<a name="isExtendedPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExtendedPort</h4>
<pre>boolean&nbsp;isExtendedPort()</pre>
<div class="block">Returns the value of the '<em><b>Extended Port</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Extended Port</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Extended Port</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isSetExtendedPort--"><code>isSetExtendedPort()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/FCMPackage.html#getPortKind_ExtendedPort--"><code>FCMPackage.getPortKind_ExtendedPort()</code></a></dd>
</dl>
</li>
</ul>
<a name="isSetExtendedPort--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isSetExtendedPort</h4>
<pre>boolean&nbsp;isSetExtendedPort()</pre>
<div class="block">Returns whether the value of the '<a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isExtendedPort--"><code><em>Extended Port</em></code></a>' attribute is set.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the value of the '<em>Extended Port</em>' attribute is set.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/PortKind.html#isExtendedPort--"><code>isExtendedPort()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PortKind.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/Port.html" title="interface in org.eclipse.papyrus.designer.components.FCM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/designer/components/FCM/RuleApplication.html" title="interface in org.eclipse.papyrus.designer.components.FCM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/designer/components/FCM/PortKind.html" target="_top">Frames</a></li>
<li><a href="PortKind.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
